<?php

declare(strict_types=1);

namespace App\Framework\Logging\Formatter;

use App\Framework\Logging\LogRecord;

interface LogFormatter
{
    /**
     * @return string|array<string, mixed>
     */
    public function __invoke(LogRecord $record): string|array;
}
